petsc-3.4.2 2013-07-02

# VecGetOptionsPrefix

Sets the prefix used for searching for all Vec options in the database.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetOptionsPrefix(Vec v,const char *prefix[])

Not Collective

### Input Parameter

v -the Vec context

### Output Parameter

prefix -pointer to the prefix string used

Notes: On the fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### Keywords

Vec, get, options, prefix, database

### See Also

VecAppendOptionsPrefix()

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages